IAC(1)

NAME
iac - PolyORB's IDL-to-Ada compiler

SYNOPSIS
iac opts file [-cppargs args]

DESCRIPTION
iac is an IDL-to-Ada compiler, compliant with version 1.2 of the "Ada Language Mapping Specification" produced by the OMG.

OPTIONS
iac accepts the following options:

-E  Preprocess only. -k Keep temporary files.

-p  Produce source on standard output.

-o DIR
    Specify output directory.

-dm Generate debug messages when analyzing scopes

-df Dump the frontend tree (the IDL tree)

-cppargs ARGS
    Pass ARGS to the C++ preprocessor.

-I dir
    Shortcut for -cppargs -I dir.

-nocpp
    Do not preprocess input

-<lang>
    Generate code for a supported language

types
    Generate a list of all types present in the IDL file

-p  Print the list generate

ada Generate Ada source code

-i  Generate implementation template.

-c  Generate client side code.

-s  Generate server side code.

-d  Generate delegation package. (defunct)

-ir Generate code for interface repository.(defunct)

-noir
    Don't generate code for interface repository (default).

-hc Using perfect minimal hash tables in skeletons and minimize CPU time

-hm Using perfect minimal hash tables in skeletons and minimize memory space

-rs Use the SII/SSI to handle requests

-rd Use the DII/DSI to handle requests (default)

-da Dump the Ada tree

-db Generate only the package bodies

-ds Generate only the package specs

-dw Output the withed entities

-dt Output tree warnings

-di Generate code for imported entities

idl Dump parsed IDL file

-b n
    Base to output integer literal As a default (zero) use base from input

-e  Expand IDL Tree

-df Dump IDL Tree (may be used in conjunction with -e to dump the expanded IDL tree)

-di Output IDL code of imported entities (may be used in conjunction with -e to output the expanded IDL code)

EXIT STATUS
iac returns one of the following values upon exit:

0   Successful completion

1   Usage error

2   Illegal IDL specification

AUTHORS
The PolyORB team, polyorb-devel@lists.adacore.com.

SEE ALSO
The PolyORB WWW page, http://libre.adacore.com/polyorb/